Subject: Re: [PATCH] gitk: don't save the geometry to rc file on exit

From: A Large Angry SCM <[email-masked]>
Date: Mon, 25 Feb 2008 21:15:35 -0500

Paul Mackerras wrote:
> Gerrit Pape writes:
> 
>> Saving the geometry can cause several inconveniences, e.g. when using a
>> temporary dual screen setup, or sharing ~/.gitk between multiple
>> systems.  Additionally it can be argued that window placement and sizing
>> are the tasks of the window manager.  So don't do that anymore.
> 
> I myself find it useful to have gitk remember the size and layout of
> the various panes, so I won't be applying this patch.
> 
> The saving/restoring of the window position was done by Mark Levedahl
> to make gitk work properly on Cygwin.  I agree it can be annoying on X
> and I would take a patch to inhibit the restoring of the window
> position when running under X.  I'd want an ack from Mark before
> making that change more generally.

I use gitk under X and like the saving/restoring of window 
size/geometry. Please do not remove that feature.